Open Babel: OBIsotopeTable Class Reference

Public Member Functions | Protected Attributes

# OBIsotopeTable Class Reference

Table of atomic isotope masses. More...

`#include <openbabel/data.h>`

Inheritance diagram for OBIsotopeTable:

List of all members.

## Public Member Functions
| OBIsotopeTable (void)
| ~OBIsotopeTable ()
size_t | GetSize ()
void | ParseLine (const char *)
double | GetExactMass (const unsigned int atomicNum, const unsigned int isotope=0)
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)
## Protected Attributes
bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Table of atomic isotope masses.

## Constructor & Destructor Documentation

OBIsotopeTable | ( | void | ) |

~OBIsotopeTable | ( | ) | `[inline]`

## Member Function Documentation

size_t GetSize | ( | ) | `[inline, virtual]`

Returns:
  the number of elements in the isotope table

Reimplemented from OBGlobalDataBase.

void ParseLine | ( | const char * | ) | `[virtual]`

Specified by particular table classes (parses an individual data line)

Reimplemented from OBGlobalDataBase.

double GetExactMass | ( | const unsigned int | atomicNum,
|  | const unsigned int | isotope = `0`
| ) |  |

Returns:
  the exact masss of the isotope (or by default (i.e. "isotope 0") the most abundant isotope)

Referenced by OBAtom::GetAtomicMass(), OBMol::GetExactMass(), and OBAtom::GetExactMass().

void Init | ( | ) | `[inherited]`

Read in the data file, falling back as needed.

void SetReadDirectory | ( | char * | dir ) | `[inline, inherited]`

Set the directory before calling Init()

void SetEnvironmentVariable | ( | char * | var ) | `[inline, inherited]`

Set the environment variable to use before calling Init()

## Member Data Documentation

bool _init`[protected, inherited]`

Whether the data been read already.

const char* _dataptr`[protected, inherited]`

Default data table if file is unreadable.

std::string _filename`[protected, inherited]`

File to search for.

std::string _dir`[protected, inherited]`

Data directory for file if _envvar fails.

std::string _subdir`[protected, inherited]`

Subdirectory (if using environment variable)

std::string _envvar`[protected, inherited]`

Environment variable to check first.

The documentation for this class was generated from the following files:

- data.h
- data.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines